﻿@model IEnumerable<eCommerce.BackOffice.ViewModels.OrderViewModel>
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Ventas";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Listado de Ventas</h1>
    <div class="page-header-actions">
        @*<div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-success" onclick="window.location.href='/Orders/ExportPaymentsToExcel'">
                <i class="icon fa-file-excel-o" aria-hidden="true"></i>
                <span class="hidden-xs">EXPORTAR COBRANZAS</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-success" onclick="window.location.href='/Orders/ExportOrdersToExcel'">
                <i class="icon fa-file-excel-o" aria-hidden="true"></i>
                <span class="hidden-xs">EXPORTAR VENTAS</span>
            </button>
        </div>*@

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="OpenDeliverySearchModal()">
                <i class="icon fa-search" aria-hidden="true"></i>
                <span class="hidden-xs">BUSCAR ENTREGAS PENDIENTES</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="OpenModal()">
                <i class="icon fa-search" aria-hidden="true"></i>
                <span class="hidden-xs">BUSCAR POR PRODUCTO</span>
            </button>
        </div>
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Orders/OrderUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA VENTA</span>
            </button>
        </div>
        
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
             @Html.Partial("_OrderList", Model)
        </div>
    </div>

</div>

<div class="modal fade" id="SearchByProduct" aria-hidden="false" aria-labelledby="checks" role="dialog" tabindex="-1">
    <div class="modal-dialog">
        <form class="modal-content" id="modalSearchByProduct" method="post" action="#">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="exampleFormModalLabel">Busqueda de pedidos por producto</h4>
            </div>
            <div class="modal-body">
                <input type="text" class="form-control ProductCode"  value="" placeholder="Código de producto" />
                <button type="submit" class="btn btn-primary" id="btnSearchByProduct" onclick="searchByProduct()" style="margin-top:5px;float:right;">Buscar</button>
                <h5 class="errorMsg" style="display:none;"></h5>
                
                <div class="SearchedProductList row">
                </div>
            </div>
        </form>
    </div>
</div>

<div class="modal fade" id="SearchDeliveryOrders" aria-hidden="false" aria-labelledby="checks" role="dialog" tabindex="-1">
    <div class="modal-dialog">
        <form class="modal-content" id="modalSearchByProduct" method="post" action="#">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="exampleFormModalLabel">Busqueda de pedidos con entregas pendientes</h4>
            </div>
            <div class="modal-body">
                <input type="text" class="form-control ProductCode2" value="" placeholder="Código de producto" />
                <button type="submit" class="btn btn-primary" id="btnSearchByProduct" onclick="searchDeliveriesByProduct()" style="margin-top:5px;float:right;">Buscar</button>
                <h5 class="errorMsg" style="display:none;"></h5>

                <div class="SearchedProductList row">
                </div>
            </div>
        </form>
    </div>
</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            //setActionsDialogs();
        })

        function fCancel(Id)
        {
            $.ajax({
                url: "/Orders/OrderCancel/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    //$(".confirm").removeAttr('disabled');
                    //setActionsDialogs();
                    swal("La venta ha sido cancelada.", "", "success");
                },
                error: function (request, status, error) 
                {
                    swal("No es posible cancelar  una venta con cobros o entregas realizadas.", "", "warning");
                }
            });
        }

        function fDelete(Id)
        {
            $.ajax({
                url: "/Orders/OrderDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    //setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function fSendMail(Id) {
            $.ajax({
                url: "/Orders/OrderSendMail/" + Id,
                type: "GET",
                data: null,
                success: function (data)
                {
                    if (data == '') {
                        swal("Enviado!", "", "success");
                    }
                }
            });
        }

        function fCancelDialog(orderId)
        {
            var orderId = orderId;
            swal({
                title: "Cancelar Venta",
                text: "Esta seguro que desea cancelar la venta #" + orderId + " ?",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo cancelarla',
                cancelButtonText: 'No',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm)
            {
                if (isConfirm)
                {
                    //deshabilitar.
                    //$(".confirm").attr('disabled', 'true');
                    fCancel(orderId);
                }
            });
            
        }

        function fDeleteDialog(orderId) {
            var orderId = orderId;
            swal({
                title: "Esta seguro que desea Eliminar la venta #" + orderId + " ?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fDelete(orderId);
                }
            });
        }

        function fSendMailDialog(orderId)
        {
            var orderId = orderId;
            swal({
                title: "Comprobante de Compra",
                text: "Esta seguro que desea enviar el mail el comprobante de compra de la orden #" + orderId + " ?",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo enviarlo',
                cancelButtonText: 'No',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fSendMail(orderId);
                }
            });
        }

        function OpenModal() {
            $('.SearchedProductList').html('');
            $(".ProductCode").val('');
            $(".ProductCode2").val('');
            $(".errorMsg").css("display", "none");
            $("#SearchByProduct").modal();
        }

        function OpenDeliverySearchModal() {
            $('.SearchedProductList').html('');
            $(".ProductCode").val('');
            $(".ProductCode2").val('');
            $(".errorMsg").css("display", "none");
            $("#SearchDeliveryOrders").modal();
        }

        function searchByProduct()
        {
            event.preventDefault();
            var productCode = $(".ProductCode").val();
            if (productCode != "")
            {
                $.ajax({
                    url: "/Orders/SearchByProduct/?productCode=" + productCode,
                    type: "GET",
                    data: null,
                    success: function (data, textStatus, jqXHR)
                    {
                        $('.SearchedProductList').html(data);
                        $(".errorMsg").css("display", "none");
                        $(".SearchedProductList").css("display", "block");
                    }
                });
            }
            else
            {
                $(".SearchedProductList").css("display", "none");
                $(".errorMsg").css("display", "block");
                $(".errorMsg").text("Ingrese un código de producto");
            }
        }

        function searchDeliveriesByProduct() {
            event.preventDefault();
            var productCode = $(".ProductCode2").val();
            if (productCode != "") {
                $.ajax({
                    url: "/Orders/SearchDeliveriesByProduct/?productCode=" + productCode,
                    type: "GET",
                    data: null,
                    success: function (data, textStatus, jqXHR) {
                        $('.SearchedProductList').html(data);
                        $(".errorMsg").css("display", "none");
                        $(".SearchedProductList").css("display", "block");
                    }
                });
            }
            else {
                $(".SearchedProductList").css("display", "none");
                $(".errorMsg").css("display", "block");
                $(".errorMsg").text("Ingrese un código de producto");
            }
        }


    </script>

}

